candlestick_digiasset 0.0.7 copy "candlestick_digiasset: ^0.0.7" to clipboard
candlestick_digiasset: ^0.0.7 copied to clipboard

A high-performance full featured candlesticks chart for all platforms.

candlesticks_digiasset #

pub package

A high-performance full featured candlesticks chart for all platforms!

web demo:
Binance Candles
Binance Candles Github Repository

Preview #

IOS macOS

Installation #

  1. Add this to your package's pubspec.yaml file:
dependencies:
  candlesticks: ^2.1.0
  1. Get the package using your IDE's GUI or via command line with
$ flutter pub get

Usage #

import 'package:candlesticks/candlesticks.dart';

Candle #

[Candle] class contains six required variables that hold a single candle data: date, high, low, open, close and volume.

final candle =  Candle(date: DateTime.now(), open: 1780.36, high: 1873.93, low: 1755.34, close: 1848.56, volume: 0);

Candlesticks #

[Candlesticks] widget requires a list of candles, the arrangement of the candles array should be such that the newest item is in position 0, onLoadMoreCandles is a nullable callback which calls whenever the last candle gets visible. and in case you whant to add more actions in top toolbar like Binance Candles, you can make your custom [ToolBarAction] and add it to actions parameter.

🍺 pull requests are welcome!

3
likes
100
pub points
16%
popularity

Publisher

unverified uploader

A high-performance full featured candlesticks chart for all platforms.

Repository (GitHub)
View/report issues

Documentation

API reference

License

BSD-3-Clause (LICENSE)

Dependencies

flutter, intl

More

Packages that depend on candlestick_digiasset